Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezforum/user/messagelist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZForumMain", "Language" )
| $NewMessageLimit = $ini->variable( "eZForumMain", "NewMessageLimit" )
| $t
| $languageIni = new eZINI( "kernel/ezforum/user/intl/" . $Language . "/messagelist.php.ini", false )
| $session =& eZSession::globalSession()
| $user =& eZUser::currentUser()
if(isset( $ForumMessages)) | else
| $categories =& $forum->categories()
| $showThreads = $session->variable( "eZForum_Threads" )
| $group =& $forum->group()
| $viewer = $user
if(count( $categories) > 0) | $locale = new eZLocale( $Language )
| $limit_array = array_unique( array( 20, 30, 40, 50, 60, 80, 100, 150, 200, $UserLimit ) )
| $level = 0
| $i = 0
| $time = new eZDateTime()

## Variable Documentation

## ◆ $categories

$categories =& $forum->categories()

Definition at line 106 of file ezforum/user/messagelist.php.

## ◆ $group

$group =& $forum->group()

Definition at line 136 of file ezforum/user/messagelist.php.

## ◆ $i

$i = 0

Definition at line 226 of file ezforum/user/messagelist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 29 of file ezforum/user/messagelist.php.

## ◆ $Language

$Language = $ini->variable( "eZForumMain", "Language" )

Definition at line 42 of file ezforum/user/messagelist.php.

## ◆ $languageIni

$languageIni = new eZINI( "kernel/ezforum/user/intl/" . $Language . "/messagelist.php.ini", false )

Definition at line 48 of file ezforum/user/messagelist.php.

## ◆ $level

$level = 0

Definition at line 225 of file ezforum/user/messagelist.php.

## ◆ $limit_array

$limit_array = array_unique( array( 20, 30, 40, 50, 60, 80, 100, 150, 200, $UserLimit ) )

Definition at line 184 of file ezforum/user/messagelist.php.

Referenced by eZCompany\categories(), eZPerson\getAll(), eZCompany\getByCategory(), and eZCompany\persons().

## ◆ $locale

if (count($categories) > 0) $locale = new eZLocale( $Language )

Definition at line 179 of file ezforum/user/messagelist.php.

## ◆ $NewMessageLimit

$NewMessageLimit = $ini->variable( "eZForumMain", "NewMessageLimit" )

Definition at line 43 of file ezforum/user/messagelist.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 71 of file ezforum/user/messagelist.php.

## ◆ $showThreads

$showThreads = $session->variable( "eZForum_Threads" )

Definition at line 130 of file ezforum/user/messagelist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezforum/user/" . $ini->variable( "eZForumMain", "TemplateDir" ),
"kernel/ezforum/user/intl", $Language, "messagelist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezforum/user/messagelist.php:42
$ini
$ini
Definition: ezforum/user/messagelist.php:29

Definition at line 45 of file ezforum/user/messagelist.php.

## ◆ $time

$time = new eZDateTime()

Definition at line 227 of file ezforum/user/messagelist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 74 of file ezforum/user/messagelist.php.

## ◆ $viewer

$viewer = $user

Definition at line 137 of file ezforum/user/messagelist.php.

## ◆ else

if ($readPermission) else

Initial value:
{
if ( $user )
{
if ( eZPreferences::variable( "eZForum_ForumMessages" ) )
$UserLimit = eZPreferences::variable( "eZForum_ForumMessages" );
else
$UserLimit = $ini->variable( "eZForumMain", "MessageUserLimit" );
}
else
{
if ( $session->variable( "eZForum_ForumMessages" ) )
$UserLimit = $session->variable( "eZForum_ForumMessages" );
else
{
$UserLimit = $ini->variable( "eZForumMain", "MessageUserLimit" );
$session->setVariable( "eZForum_ForumMessages", $UserLimit );
}
}
}
$forum = new eZForum( $ForumID )
$forum
$forum
Definition: admin/forumlist.php:50
eZForum
Definition: ezforum.php:44
eZPreferences\variable
static variable( $name, $group=false)
Definition: ezpreferences.php:95
$UserLimit
$UserLimit
Definition: ezbug/user/search.php:41
$user
$user
Definition: ezforum/user/messagelist.php:74
$session
$session
Definition: ezforum/user/messagelist.php:71

Definition at line 84 of file ezforum/user/messagelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.